Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
thuyvan89

Sửa nhanh kích thước đường thẳng thành chữ Ø mà không phải viết %%C

Các bài được khuyến nghị

Em cảm ơn thầy ơn Thầy Dương nhiều nhiều! Em đã làm theo cách làm của anh Duy rồi ạ! Cách ấy rất nhanh! Em muốn cài lisp vào để xem lisp nó như thế nào Thầy ạ!

Không dám, không dám! Tôi thì làm thầy sao được, tuy nhiên em cứ gọi tôi là "chú" cũng được rồi!

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Không dám, không dám! Tôi thì làm thầy sao được, tuy nhiên em cứ gọi tôi là "chú" cũng được rồi!

Năm nay bác bao nhiêu tuổi mà định làm chú người ta???

Bác thuyvan tài đáo để biết được tên của bác đường duongsatdn là Dương

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Năm nay bác bao nhiêu tuổi mà định làm chú người ta???

Chả là nhà em sắp 40 rồi mà!

Bác thuyvan tài đáo để biết được tên của bác đường duongsatdn là Dương

Thế mới tài!

 

(Spam chút vậy thôi, không thì các bác MOD mắng cho đấy)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

password của nó là : www.cadviet.com

Tuy nhiên cách thức hoạt động của nó giống như lệnh Ded. Lệnh Ded có thể thêm tiền tố lẫn hậu tố.

Về cách của bạn ghi kích thưóc 12 [ Ø300.80] thì Ø300.80 là do trong nhãn Altnate Units -> Multiplier alt units bạn để số khác 1.

Hãy nhập giá trị bằng 1 trong Multiplier alt units -> bạn sẽ có kết quả là 12 [ Ø12].

Tuy nhiên, đây không phải là kết quả bạn mong muốn. Cái mong muốn của bạn là Ø12 thôi phải không?

Rất tiếc, CAD không thể làm được chuyện đó được bạn ạ.

 

Cách nhanh nhất là bạn sử dụng lệnh Ded(dimedit).

Bạn có thể chọn trước DimStyle bằng quickselect hoặc Filter rồi dùng Ded(Dimedit) để điền tiền tố

 

Hoặc nhanh hơn là khi vừa ghi kích thước xong, sẽ tự động nhập luôn giá trị Ø trước kích thước. Đây là ý của bạn phải không?

Vậy thì bạn sử dụng đoạn Code này. Khi yêu cầu nhập điểm đầu, điểm cuối và đường chân kích thước (giống dimlinear) thì Lisp tự động điền luôn tiền tố Ø trước kích thước

(defun c:gfi()
(setq p1 (getpoint "\n Diem dau kich thuoc :"))
(setq p2 (getpoint p1 "\n Diem cuoi kich thuoc :"))
(Command "dimlinear" p1 p2 pause)
(Command "dimedit" "N" "%%c<>" "L" "")
(Princ)
)

Hẳn bạn đã biết sử dụng Code

Chúc thành công cheers.gif "

 

 

Hi anh ! Cho em hỏi e muốn thêm giá trị dung sai nữa +0.02 hoặc -0.02 vào lisp này để em ghi kích thước thì viết như thế nào ạ !

Mọi người giúp em với ! Em ảm ơn nhiều ạ ! Mem mới mong được giúp đỡ từ đàn anh ạ !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×